﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="DeploymentContext.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager
{
    using System.Security.Cryptography.X509Certificates;

    public class DeploymentContext
    {
        public AzureCredentials AzureCredentials { get; set; }

        public AzurePackageDetails ClusterPackageDetails { get; set; }

        public X509Certificate2 ServiceCertificate { get; set; }

        public string ServiceCertificatePassword { get; set; }

        public string UserStorageConnectionString { get; set; }

        public string StorageAccountName { get; set; }

        public string HostedServiceName { get; set; }

        public string Location { get; set; }

        public SqlServerDetails SqlServerDetails { get; set; }

        public ClusterDetails ClusterDetails { get; set; }
    }
}