﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="OperationCompletedEventArgs.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager.DeploymentWorkflow
{
    using System;
    
    public class OperationCompletedEventArgs : EventArgs
    {
        public OperationCompletedEventArgs(OperationResult result)
        {
            if (result == null)
            {
                throw new ArgumentNullException("result", "Result must not be null.");
            }

            this.Result = result;
        }

        public OperationResult Result { get; private set; }
    }
}