﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="OperationResult.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager.DeploymentWorkflow
{
    public class OperationResult
    {
        public OperationResult(DeploymentOperationStatus status, string error)
        {
            this.Status = status;
            this.Error = error;
        }

        public static OperationResult Success
        {
            get
            {
                return new OperationResult(DeploymentOperationStatus.Succeeded, string.Empty);
            }
        }

        public DeploymentOperationStatus Status { get; private set; }

        public string Error { get; private set; }
    }
}