﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ListStorageAccountCommand.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureCommands
{
    using RestClient;

    public class ListStorageAccountCommand : AzureManagementCommand
    {
        public ListStorageAccountCommand(IAzureServiceContext serviceContext)
            : base(serviceContext)
        {
        }

        protected override RequestContext GetRequestContext()
        {
            return this.CreateGetOperationRequestContext();
        }

        protected override string FormatPath(IAzureServiceContext azureServiceContext)
        {
            return string.Format("{0}/services/storageservices", azureServiceContext.SubscriptionId);
        }
    }
}