﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="StorageServiceProperties.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    public class StorageServiceProperties
    {
        [XmlElementAttribute(IsNullable = true)]
        public string Description { get; set; }

        public string AffinityGroup { get; set; }

        public string Location { get; set; }

        public string Label { get; set; }

        public StorageServiceStatuses Status { get; set; }

        public bool GeoReplicationEnabled { get; set; }

        public string GeoPrimaryRegion { get; set; }

        public string StatusOfPrimary { get; set; }

        public string GeoSecondaryRegion { get; set; }

        public string StatusOfSecondary { get; set; }

        [XmlArrayItem("Endpoint", typeof(StorageServiceEndpoint))]
        public List<StorageServiceEndpoint> Endpoints { get; set; }
    }
}