﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ListSqlAzureServersCommand.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.SqlAzureCommands
{
    using AzureManagement.AzureCommands;

    using RestClient;

    public class ListSqlAzureServersCommand : AzureManagementCommand
    {
        public ListSqlAzureServersCommand(IAzureServiceContext serviceContext)
            : base(serviceContext)
        {
        }

        protected override RequestContext GetRequestContext()
        {
            return this.CreateGetOperationRequestContext();
        }

        protected override string FormatPath(IAzureServiceContext azureServiceContext)
        {
            return string.Format("{0}/servers", azureServiceContext.SubscriptionId);
        }
    }
}