﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ILogger.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace Common
{
    using System;
    using System.Runtime.CompilerServices;

    public interface ILogger
    {
        void LogError(string errorMessage, [CallerMemberName] string memberName = "", [CallerLineNumber] int sourceLineNumber = 0);

        void LogInformation(string message, [CallerMemberName] string memberName = "", [CallerLineNumber] int sourceLineNumber = 0);

        void LogException(Exception exception, [CallerMemberName] string memberName = "", [CallerLineNumber] int sourceLineNumber = 0);
    }
}