﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="Property.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System.Xml.Serialization;

    using Microsoft.Hpc.Scheduler.Properties;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/HPCS2008R2/common")]
    public class Property
    {
        public Property() : this(string.Empty, string.Empty)
        {
        }

        public Property(string name, string value)
        {
            this.Name = name;
            this.Value = value;
        }
        
        public Property(PropertyId jobProperty, string value)
        {
            this.Name = jobProperty.Name;
            this.Value = value;
        }

        public string Name { get; set; }

        public string Value { get; set; }
    }
}