﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="AzureManagementTestWebRequestCreate.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagementTests.TestSupport
{
    using System;
    using System.Collections.Generic;
    using System.Net;

    using AzureManagement.AzureDataContracts;

    public class AzureManagementTestWebRequestCreate : IWebRequestCreate
    {
        private TestAzureManagementWebResponseFactory factory;

        public string BaseUri { get; set; }

        public string ApiVersion { get; set; }

        public string SubscriptionId { get; set; }

        public IList<string> ManagementCertificates { get; set; }

        public IList<HostedServiceTestMock> HostedServices { get; set; }

        public IList<Operation> Operations { get; set; }

        public IList<StorageService> StorageAccounts { get; set; }

        public WebRequest Create(Uri uri)
        {
            if (this.factory == null)
            {
                this.factory = new TestAzureManagementWebResponseFactory
                                   {
                                       BaseUri = this.BaseUri, 
                                       ApiVersion = this.ApiVersion, 
                                       SubscriptionId = this.SubscriptionId, 
                                       Operations = this.Operations, 
                                       HostedServices = this.HostedServices, 
                                       ManagementCertificates =
                                           this.ManagementCertificates, 
                                       StorageAccounts = this.StorageAccounts
                                   };
            }

            return new TestWebRequest(uri, this.factory);
        }
    }
}